Bug 1293171 - [abrt] WARNING: CPU: 1 PID: 3575 at arch/x86/kernel/check.c:141 check_for_bios_corruption.part.1+0xaf/0x100() [NEEDINFO]
[abrt] WARNING: CPU: 1 PID: 3575 at arch/x86/kernel/check.c:141 check_for_bio...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0a2d1d4b751c8b7bc8586003b85...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 18:37 EST by dgardatl
Modified: 2016-10-26 12:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (dgardatl)


Attachments (Terms of Use)
File: dmesg (78.14 KB, text/plain)
2015-12-20 18:37 EST, dgardatl
no flags Details

  None (edit)
Description dgardatl 2015-12-20 18:37:46 EST
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 1 PID: 3575 at arch/x86/kernel/check.c:141 check_for_bios_corruption.part.1+0xaf/0x100()
Memory corruption detected in low memory
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_filter ebtable_broute bridge stp llc ebtables ip6table_security ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_filter ip6_tables iptable_security iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle coretemp snd_hda_codec_realtek snd_hda_codec_generic kvm_intel iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi gpio_ich kvm snd_hda_intel ppdev snd_hda_codec snd_hda_core snd_hwdep i2c_i801 lpc_ich snd_seq snd_seq_device snd_pcm snd_timer snd parport_pc parport soundcore shpchp acpi_cpufreq nfsd
 auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt ata_generic pata_acpi nouveau video mxm_wmi wmi i2c_algo_bit drm_kms_helper serio_raw ttm drm r8169 mii pata_jmicron
CPU: 1 PID: 3575 Comm: kworker/1:2 Not tainted 4.2.7-300.fc23.x86_64+debug #1
Hardware name: Gigabyte Technology Co., Ltd. P35C-DS3R/P35C-DS3R, BIOS F12 06/18/2009
Workqueue: events check_corruption
 0000000000000000 00000000aa165b33 ffff880057c43c18 ffffffff81869ee6
 0000000000000000 ffff880057c43c70 ffff880057c43c58 ffffffff810ac456
 ffffffff82356968 0000000000000000 ffff880000010000 ffffffff8233b290
Call Trace:
 [<ffffffff81869ee6>] dump_stack+0x4c/0x65
 [<ffffffff810ac456>] warn_slowpath_common+0x86/0xc0
 [<ffffffff810ac4e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff8106d7cf>] check_for_bios_corruption.part.1+0xaf/0x100
 [<ffffffff8106d838>] check_corruption+0x18/0x50
 [<ffffffff810cc442>] process_one_work+0x232/0x840
 [<ffffffff810cc3ab>] ? process_one_work+0x19b/0x840
 [<ffffffff811285ad>] ? debug_lockdep_rcu_enabled+0x1d/0x20
 [<ffffffff810ccb25>] ? worker_thread+0xd5/0x450
 [<ffffffff810cca9e>] worker_thread+0x4e/0x450
 [<ffffffff810cca50>] ? process_one_work+0x840/0x840
 [<ffffffff810cca50>] ? process_one_work+0x840/0x840
 [<ffffffff810d36e4>] kthread+0x104/0x120
 [<ffffffff810d35e0>] ? kthread_create_on_node+0x250/0x250
 [<ffffffff81873ddf>] ret_from_fork+0x3f/0x70
 [<ffffffff810d35e0>] ? kthread_create_on_node+0x250/0x250
Comment 1 dgardatl 2015-12-20 18:37:53 EST
Created attachment 1108130 [details]
File: dmesg
Comment 2 Josh Boyer 2016-01-04 09:11:16 EST
This is a check the kernel does on low memory, and it is suggesting something in your bios is corrupting things.  We can't fix BIOS errors, but you might wish to look for a BIOS update for your machine.
Comment 3 Laura Abbott 2016-09-23 15:42:54 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:53:29 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.